<?php

class MonkeyMap extends MonkeyList
{
	/**
	 * Returns the object with the specified $key
	 * 
	 * @param	object	$key
	 * @return	object
	 */
	public function Get( $key )
	{
		return $this->_list[$key];
	}
	
	/**
	 * Sets the $value at $key in the map
	 * 
	 * @param	object	$key
	 * @param	object	$value
	 */
	public function Set( $key, $value )
	{
		$this->_list[$key] = $value;
	}
	
	/**
	 * Checks if the $key exists and returns true if it
	 * does exist and zoro if it doesn't exist.
	 * 
	 * @param	object	$key
	 * @return	bool
	 */
	public function Contains( $key )
	{
		if ( array_key_exists( $key, $this->_list ) )
			return 1;
		return 0;
	}
	
	/**
	 * Removes the value at key and the key
	 * 
	 * @param	object	$key
	 */
	public function Remove( $key )
	{
		if ( $this->Contains( $key ) )
			unset( $this->_list[$key] );
	}
	
	/**
	 * Return new ArrayIterator of object
	 * 
	 * @return ArrayIterator
	 */
	public function ObjectIterator()
	{
		return new ArrayIterator($this->_list);
	}
}
